package com.flyfish.framework.generation;

import com.flyfish.framework.domain.base.Domain;

/**
 * 代码规则策略
 *
 * @author wangyu
 */
public interface CodeRuleStrategy {

    /**
     * 生成代码
     *
     * @param domain 实体
     * @return 结果
     */
    String generate(Domain domain);
}
